## SLPRegReport

##

### Declaration

`typedef void SLPRegReport(SLPHandlehslp, SLPError errcode, void* cookie)`

### Description

The SLPRegReport callback type is used as the type for the callback function that is passed in to the SLPReg(), SLPDeReg() and SLPDelAttrs() functions.

### Parameters

hslp | The SLPHandle that was used to initiate the operation.
errcode | An error code indicating if an error occurred during the operation.
cookie | Pointer to the same memory that was passed into the initiating function call.

### Returns

None

### Status

OpenSLP 0.6.0 | SLPRegReport() callbacks are called as specified by RFC 2614.

### See Also

Callbacks